CREATE OR ALTER procedure APPENDKLADRPROC (
    V_OKATD char(11),
    V_STATUS numeric(1,0),
    V_NAME char(40),
    V_SOCR char(10),
    V_INDEXX char(6),
    V_GNINMB char(4),
    V_UNO char(4),
    V_C_REG char(2),
    V_C_RAYON char(3),
    V_GOROD char(3),
    V_PUNKT char(3),
    V_STREET char(4),
    V_AKTUAL integer,
    V_G_S integer)
as
BEGIN
    if (exists (select kladr.*  from kladr
    where kladr.okatd = :v_okatd and kladr.status = :v_status and kladr.name = :v_name and kladr.socr = :v_socr and
    kladr.indexx = :v_indexx and kladr.gninmb = :v_gninmb and kladr.uno = :v_uno and kladr.c_reg = :v_c_reg and
    kladr.c_rayon = :v_c_rayon and kladr.c_gorod = :v_gorod and kladr.c_punkt = :v_punkt and kladr.c_street = :v_street and
    kladr.aktual = :v_aktual and kladr.g_s = :v_g_s )) then
    UPDATE kladr
           SET
    kladr.okatd = :v_okatd,
    kladr.status = :v_status,
    kladr.name = :v_name,
    kladr.socr = :v_socr,
    kladr.indexx = :v_indexx,
    kladr.gninmb = :v_gninmb,
    kladr.uno = :v_uno,
    kladr.c_reg = :v_c_reg,
    kladr.c_rayon = :v_c_rayon,
    kladr.c_gorod = :v_gorod,
    kladr.c_punkt = :v_punkt,
    kladr.c_street = :v_street,
    kladr.aktual = :v_aktual,
    kladr.g_s = :v_g_s
    WHERE kladr.okatd = :v_okatd and kladr.status = :v_status and kladr.name = :v_name and kladr.socr = :v_socr and
    kladr.indexx = :v_indexx and kladr.gninmb = :v_gninmb and kladr.uno = :v_uno and kladr.c_reg = :v_c_reg and
    kladr.c_rayon = :v_c_rayon and kladr.c_gorod = :v_gorod and kladr.c_punkt = :v_punkt and kladr.c_street = :v_street and
    kladr.aktual = :v_aktual and kladr.g_s = :v_g_s;
    else
    INSERT INTO kladr(okatd,
    status,
    name,
    socr,
    indexx,
    gninmb,
    uno,
    c_reg,
    c_rayon,
    c_gorod,
    c_punkt,
    c_street,
    aktual,
    g_s)
    values(:v_okatd,
    :v_status,
    :v_name,
    :v_socr,
    :v_indexx,
    :v_gninmb,
    :v_uno,
    :v_c_reg,
    :v_c_rayon,
    :v_gorod,
    :v_punkt,
    :v_street,
    :v_aktual,
    :v_g_s
);
END
