CREATE OR ALTER procedure ADDUSL_PROC (
    V_O_S char(1),
    V_K_USL char(8),
    V_D_OKAZ date,
    V_KOL integer,
    V_SS char(14),
    V_SN_POL char(25),
    V_NUB_K char(10),
    V_D_ZA date,
    V_K_VR char(10),
    V_DIAG char(7),
    V_STATTALON_NUMBER integer,
    V_ID_REPORT integer,
    V_K_SS char(10),
    V_UROV char(1),
    V_PTR integer,
    V_RMIS char(36),
    V_K_USL_MZ char(16),
    V_TL_ME integer,
    V_PR_STOM integer,
    V_NPL integer)
as
declare variable ID_STATTALON integer;
declare variable KD integer;
BEGIN
    id_stattalon = -1;    kd=0;
    SELECT ID_STATTALON FROM STATTALON
        WHERE ID_REPORT = :V_ID_REPORT AND NUMBER_IN_REPORT = :V_STATTALON_NUMBER
        INTO :ID_STATTALON;

    if ((id_stattalon <> -1)
        and (exists ( SELECT code FROM nozolog WHERE code = :v_diag))) then
    begin
        INSERT INTO USL_OD(O_S,
                           K_USL,
                           D_OKAZ,
                           KOL,
                           SS,
                           SN_POL,
                           NUB_K,
                           D_ZA,
                           K_VR,
                           K_SS,
                           UROV,
                           ID_STATTALON,
                           USL_CODE,
                           DIAG,
                           T_FED,
                           T_YCH,
                           ME_AB,
                           OK_FINU,
                           YET,
                           PTTRU,
                           ST_TR,
                           RMIS,
                           K_USL_MZ,
                           TL_ME,
                           PR_STOM,
                           NPL)
        VALUES(:v_O_S,
               :v_K_USL,
               :v_D_OKAZ,
               :v_KOL,
               :v_SS,
               :v_SN_POL,
               :v_NUB_K,
               :v_D_ZA,
               :v_K_VR,
               :v_k_ss,
               :v_urov,
               :ID_STATTALON,
               :KD,
               :v_DIAG,
               :kd,
               :kd,
               :kd,
               :kd,
               :kd,
               :v_ptr,
               :kd,
               :v_rmis,
               :v_k_usl_mz,
               :v_tl_me,
               :v_pr_stom,
               :v_npl);
    end
END
